using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;

using UnityEngine;
using UnityEngine.UI;

#if UNITY_WEBPLAYER || UNITY_WEBGL
public class JavascriptCall : MonoBehaviour
{
    [DllImport("__Internal")]
    public static extern void UnityMessageHandlerReady();

    [DllImport("__Internal")]
    public static extern void UnityRequestCameraFeed();

    [DllImport("__Internal")]
    public static extern void UnityModelPlaced();

    [DllImport("__Internal")]
    public static extern void SendMessageToWeb(string message);

    [DllImport("__Internal")]
    public static extern void DownloadFile(byte[] array, int byteLength, string fileName);
}
#endif